# BuildRestrictionTweaksSync
A building mod that lets you customize restrictions related to build piece placement.
This version is a fork of the mod by aedenthorn that adds the option of installing the
mod on the server to allow for syncing the configuration for all clients.

## Description
This mod adds the following config toggles related to build piece placement:

- DisableAllRestrictions
- IgnoreBlockedbyPlayer
- IgnoreInvalid
- IgnoreBuildZone
- IgnoreSpaceRestrictions
- IgnoreTeleportAreaRestrictions
- IgnoreMissingStation
- IgnoreBiomeRestrictions
- IgnoreCultivationRestrictions
- IgnoreDungeonRestrictions


If DisableAllRestrictions is set to true, building will never be restricted except in private zones.

## Configuration
A config file BepInEx/config/Searica.Valheim.BuildRestrictionTweaksSync.cfg is created after running the game once with this mod.

You can adjust the config values by editing this file using a text editor or in-game using the Configuration Manager. The mod has a built-in file watcher so either method will work and changes will be reflected in-game as you change the settings.

## Donations/Tips
My mods will always be free to use but if you feel like saying thanks you can tip/donate.

| My Ko-fi: | [![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/searica) |
|-----------|---------------|

## Source Code
Source code is available on Github.

| Github Repository: | <img height="18" src="https://github.githubassets.com/favicons/favicon-dark.svg"></img><a href="https://github.com/searica/BuildRestrictionTweaksSync"> BuildRestrictionTweaksSync</a> |
|-----------|---------------|

### Contributions
If you would like to provide suggestions, make feature requests, or reports bugs and compatibility issues you can either open an issue on the Github repository or tag me (@searica) with a message on my discord [Searica's Mods](https://discord.gg/sFmGTBYN6n).

 I'm a grad student and have a lot of personal responsibilities on top of that so I can't promise I will always respond quickly, but I do intend to maintain the mod in my free time.

### Credits
This mod was inspired and is a direct fork of BuildRestrictionTweaks by aedenthorn. Thanks for making the original and releasing it into public domain. Also a huge shoutout and thanks to the developers of Jotunn for all their work making the library.

## Shameless Self Plug (Other Mods By Me)
If you like this mod you might like some of my other ones.

#### Building Mods
- [More Vanilla Build Prefabs](https://valheim.thunderstore.io/package/Searica/More_Vanilla_Build_Prefabs/)
- [Extra Snap Points Made Easy](https://valheim.thunderstore.io/package/Searica/Extra_Snap_Points_Made_Easy/)
- [TerrainTools](https://valheim.thunderstore.io/package/Searica/TerrainTools/)

#### Gameplay Mods
- [CameraTweaks](https://valheim.thunderstore.io/package/Searica/CameraTweaks/)
- [DodgeShortcut](https://valheim.thunderstore.io/package/Searica/DodgeShortcut/)
- [FortifySkillsRedux](https://valheim.thunderstore.io/package/Searica/FortifySkillsRedux/)
- [ProjectileTweaks](https://github.com/searica/ProjectileTweaks/)
- [SafetyStatus](https://valheim.thunderstore.io/package/Searica/SafetyStatus/)
- [SkilledCarryWeight](https://github.com/searica/SkilledCarryWeight/)

